# class Bundler::CLI::Clean

### Attributes

options[R]

### Public Class Methods

new(options) click to toggle source

    # File lib/bundler/cli/clean.rb, line 7
    def initialize(options)
      @options = options
    end

### Public Instance Methods

run() click to toggle source

    # File lib/bundler/cli/clean.rb, line 11
    def run
      require_path_or_force unless options[:"dry-run"]
      Bundler.load.clean(options[:"dry-run"])
    end

### Protected Instance Methods

require_path_or_force() click to toggle source

    # File lib/bundler/cli/clean.rb, line 18
    def require_path_or_force
      return unless Bundler.use_system_gems? && !options[:force]
      raise InvalidOption, "Cleaning all the gems on your system is dangerous! " \
        "If you're sure you want to remove every system gem not in this " \
        "bundle, run `bundle clean --force`."
    end